import { ProcessOutput } from '@angular-devkit/core/node';
/**
 *
 * @param name
 * @param options
 * @param runOptions
 */
export declare function execIonicToolkitSchematics<T>(name: string, options: T, runOptions?: {
    dryRun?: boolean;
    debug?: boolean;
    verbose?: boolean;
    stderr?: ProcessOutput;
    stdout?: ProcessOutput;
    cwd?: string;
}): Promise<any>;
export declare function getPackagesVersion(packageName: string): any;
export declare function variablenamify(name: string): string;
export declare function userfriendlystring(name: string): string;
export declare function arrayMove<T>(arr: T[], old_index: number, new_index: number): T[];
export declare function jsonify(input: any, space?: number): string;
